package com.inspect.ivs.domain;

import java.io.Serializable;

public class CameraCodeAndEndTime implements Serializable {
    private String cameraCode;
    private String endTime;

    public String getCameraCode() {
        return this.cameraCode;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public void setCameraCode(String cameraCode) {
        this.cameraCode = cameraCode;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof CameraCodeAndEndTime)) {
            return false;
        } else {
            CameraCodeAndEndTime other = (CameraCodeAndEndTime) o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$cameraCode = this.getCameraCode();
                Object other$cameraCode = other.getCameraCode();
                if (this$cameraCode == null) {
                    if (other$cameraCode != null) {
                        return false;
                    }
                } else if (!this$cameraCode.equals(other$cameraCode)) {
                    return false;
                }

                Object this$endTime = this.getEndTime();
                Object other$endTime = other.getEndTime();
                if (this$endTime == null) {
                    if (other$endTime != null) {
                        return false;
                    }
                } else if (!this$endTime.equals(other$endTime)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof CameraCodeAndEndTime;
    }

    public int hashCode() {
        int PRIME = 1;
        int result = 1;
        Object $cameraCode = this.getCameraCode();
        result = result * 59 + ($cameraCode == null ? 43 : $cameraCode.hashCode());
        Object $endTime = this.getEndTime();
        result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
        return result;
    }

    public String toString() {
        return "CameraCodeAndEndTime(cameraCode=" + this.getCameraCode() + ", endTime=" + this.getEndTime() + ")";
    }

    public CameraCodeAndEndTime() {
    }

    public CameraCodeAndEndTime(String cameraCode, String endTime) {
        this.cameraCode = cameraCode;
        this.endTime = endTime;
    }
}
